cwlVersion: v1.2
class: Workflow

requirements:
  SubworkflowFeatureRequirement: {}
  ScatterFeatureRequirement: {}
  MultipleInputFeatureRequirement: {}

inputs:
  fastq: File[]
  finaloutdir: string

steps:
  fastqc:
    run: ../../workflows/fastqc/workflow.cwl
    in:
      fastq: fastq
      finaloutdir: finaloutdir
    out: [outdir]

outputs:
  outdir:
    type: Directory
    outputSource: fastqc/outdir