cwlVersion: v1.2
class: Workflow

requirements:
  MultipleInputFeatureRequirement: {}

inputs:
  arcPath: Directory 
  assayName: string
  startingNodeNum: int
  outName: string

steps:
  isaSampleToRawDataSeq:
    run: ../../workflows/isaSampleToRawDataSeq/workflow.cwl
    in:
      arcPath: arcPath
      assayName: assayName
      startingNodeNum: startingNodeNum
      outName: outName
    out:
      - sampleseqCsv
      - sampleseqXlsx

outputs:
  sampleseqs: 
    type: File[]
    outputSource:      
      - isaSampleToRawDataSeq/sampleseqCsv
      - isaSampleToRawDataSeq/sampleseqXlsx

